Bug 218316 - security/gpgme: update to 1.9.0
Summary: security/gpgme: update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-03 08:52 UTC by Pietro Cerutti
Modified: 2017-04-05 20:19 UTC (History)
0 users

See Also:
jhale: maintainer-feedback+


Attachments
Patch to security/gpgme and security/py-gpgme (10.07 KB, patch)
2017-04-03 08:52 UTC, Pietro Cerutti
no flags Details | Diff
Patch to security/gpgme and security/py-gpgme (2) (9.87 KB, patch)
2017-04-03 08:54 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti freebsd_committer 2017-04-03 08:52:02 UTC
Created attachment 181414 [details]
Patch to security/gpgme and security/py-gpgme
Comment 1 Pietro Cerutti freebsd_committer 2017-04-03 08:54:13 UTC
Created attachment 181415 [details]
Patch to security/gpgme and security/py-gpgme (2)

Fix a leftover of "make makeplist"
Comment 3 Jason E. Hale freebsd_committer 2017-04-04 11:57:15 UTC
Thanks, Pietro! I never got a ping from portscout about an update.

Slave ports security/gpgme-cpp and security/gpgme-qt5 will likely need pkg-plist updates as well. I'll look into it.
Comment 4 commit-hook freebsd_committer 2017-04-05 20:13:39 UTC
A commit references this bug:

Author: jhale
Date: Wed Apr  5 20:13:02 UTC 2017
New revision: 437834
URL: https://svnweb.freebsd.org/changeset/ports/437834

Log:
  Update security/gpgme and friends to 1.9.0 [1]
  Fix LICENSE
  Add regression test support for master port. Slave port tests are not working
  properly and need further investigation.

  PR:		218316 (based on) [1]
  Submitted by:	gahr [1]
  Changes:	https://lists.gnupg.org/pipermail/gnupg-users/2017-March/057963.html

Changes:
  head/security/gpgme/Makefile
  head/security/gpgme/distinfo
  head/security/gpgme/files/patch-configure
  head/security/gpgme/files/patch-git_5056598
  head/security/gpgme/files/patch-git_572c1aa
  head/security/gpgme/files/patch-git_5d4f977
  head/security/gpgme/files/patch-lang_python_Makefile.in
  head/security/gpgme/files/patch-tests_gpg_Makefile.in
  head/security/gpgme/pkg-plist
  head/security/gpgme-cpp/pkg-plist
  head/security/gpgme-qt5/Makefile
  head/security/gpgme-qt5/pkg-plist
  head/security/py-gpgme/pkg-plist
Comment 5 Jason E. Hale freebsd_committer 2017-04-05 20:19:30 UTC
Committed with a few additions and tweaks. Thanks!